module Teachable
  class User < Base
    def self.registration(params = {})
      request_post('https://fast-bayou-75985.herokuapp.com/users.json', user: { email: params[:email], password: params[:password], password_confirmation: params[:password_confirmation] })
    end

    def self.authenticate(params = {})
      request_post('https://fast-bayou-75985.herokuapp.com/users/sign_in.json', user: { email: params[:email], password: params[:password] })
    end

    def self.token(params = {})
      res = authenticate(email: params[:email], password: params[:password])
      res['tokens'] || res
    end

    def self.get_user
      request_get("https://fast-bayou-75985.herokuapp.com/api/users/current_user/edit.json?user_email=#{Teachable.user_email}&user_token=#{Teachable.user_token}")
    end
  end
end
